org.keycloak.admin.client

## Class Config

- java.lang.Object
- - org.keycloak.admin.client.Config

-     public class Config
      extends Object

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config(String serverUrl, String realm, String username, String password, String clientId, String clientSecret)`
    `Config(String serverUrl, String realm, String username, String password, String clientId, String clientSecret, String grantType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkGrantType(String grantType)`
    `String` | `getClientId()`
    `String` | `getClientSecret()`
    `String` | `getGrantType()`
    `String` | `getPassword()`
    `String` | `getRealm()`
    `String` | `getServerUrl()`
    `String` | `getUsername()`
    `boolean` | `isPublicClient()`
    `void` | `setClientId(String clientId)`
    `void` | `setClientSecret(String clientSecret)`
    `void` | `setGrantType(String grantType)`
    `void` | `setPassword(String password)`
    `void` | `setRealm(String realm)`
    `void` | `setServerUrl(String serverUrl)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config(String serverUrl,
                        String realm,
                        String username,
                        String password,
                        String clientId,
                        String clientSecret)

    - #### Config

          public Config(String serverUrl,
                        String realm,
                        String username,
                        String password,
                        String clientId,
                        String clientSecret,
                        String grantType)

  - ### Method Detail

    - #### getServerUrl

          public String getServerUrl()

    - #### setServerUrl

          public void setServerUrl(String serverUrl)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientSecret

          public String getClientSecret()

    - #### setClientSecret

          public void setClientSecret(String clientSecret)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### getGrantType

          public String getGrantType()

    - #### setGrantType

          public void setGrantType(String grantType)

    - #### checkGrantType

          public static void checkGrantType(String grantType)

Copyright © 2021 JBoss by Red Hat. All rights reserved.